For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTUpload File
      • DELDelete File
      • GETGet File Scan Status
      • POSTUpload File
      • POSTGet Files Upload Status
LogoLogo
Login
Login
Data APIFiles

Upload File

Deprecated
POST
/v1/vaults/:vaultID/:objectName/:ID/files
POST
/v1/vaults/:vaultID/:objectName/:ID/files
$curl -X POST https://{{vault_uri}}.vault.skyflowapis.com/v1/vaults/vaultID/objectName/ID/files \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F fileColumnName=@<file1>
1{
2 "skyflow_id": "4423ccdf-75eb-4e2e-abfc-acb43b1440cd",
3 "tokens": {
4 "drivers_license_number": "2fd8e729-228a-43cf-8274-d0d0efe47f6c",
5 "name": "f5c268b7-5dd4-4d37-a12d-05d148a8a440",
6 "phone_number": "4639c565-85c8-4120-94a6-e0e91ffaeca4",
7 "ssn": "736-96-1306"
8 }
9}
Uploads a file to the specified record.
Was this page helpful?
Previous

Delete File

Next
Built with

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired
ID of the vault.
objectNamestringRequired
Name of the table.
IDstringRequired

skyflow_id of the record.

Request

This endpoint expects a multipart form containing an optional file.
fileColumnNamefileOptional

The key for fileColumnName is the name of the column to store the file in, which must have a file data type. The value is the file to upload.

Response

OK
skyflow_idstring
ID of the updated record.
tokensmap from strings to any
Tokens for the record.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error